#
# spec file for package python-cryptography-vectors
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-cryptography-vectors
Version:        3.3.2
Release:        150400.7.3.1
Summary:        Test vectors for the cryptography package
License:        Apache-2.0 OR BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/pyca/cryptography
Source0:        https://files.pythonhosted.org/packages/source/c/cryptography_vectors/cryptography_vectors-%{version}.tar.gz
Source1:        https://files.pythonhosted.org/packages/source/c/cryptography_vectors/cryptography_vectors-%{version}.tar.gz.asc
Source2:        %{name}.keyring
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Vectors for testing of the python cryptography package.

%prep
%setup -q -n cryptography_vectors-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE
%{python_sitelib}/*

%changelog
* Sun Feb  7 2021 michael@stroeder.com
- update to 3.3.2 (bsc#1198331)
  * updated vectors for cryptography 3.3.2
* Sun Dec 20 2020 dmueller@suse.com
- update to 3.3.1:
  * updated vectors for cryptography 3.3.1
* Wed Dec  9 2020 mrueckert@suse.de
- update to 3.3:
  * updated vectors for cryptography 3.3
* Wed Oct 28 2020 michael@stroeder.com
- update to 3.2.1:
  * updated vectors for cryptography 3.2.1
* Mon Oct 26 2020 michael@stroeder.com
- update to 3.2:
  * updated vectors for cryptography 3.2
* Mon Sep 28 2020 dmueller@suse.com
- update to 3.1.1:
  * updated vectors for cryptography 3.1.1
* Fri Sep 18 2020 dmueller@suse.com
- update to 3.1:
  * updated vectors for cryptography 3.1
* Tue Jul 28 2020 mimi.vx@gmail.com
- update to 3.0:
  * updated vectors for the cryptography 3.0 testing
* Fri May 15 2020 michael@stroeder.com
- update to 2.9.2:
  * updated vectors for the cryptography 2.9.2 testing
* Thu Oct 17 2019 michael@stroeder.com
- added .keyring source
- update to 2.8:
  * updated vectors for the cryptography 2.8 testing
* Mon Jun  3 2019 mimi.vx@gmail.com
- update to 2.7:
  * updated vectors for the cryptography 2.7 testing
* Wed May 29 2019 tchvatal@suse.com
- Initial commit, split out of cryptography
